Read model
curl --request GET \
--url https://trylimitless.ai/v1/models/{model} \
--header 'Authorization: Bearer <token>'import requests
url = "https://trylimitless.ai/v1/models/{model}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://trylimitless.ai/v1/models/{model}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "model",
"owned_by": "<string>",
"name": "<string>",
"display_name": "<string>",
"access": {
"required_checks": [
"<string>"
],
"available": true,
"locked": true,
"missing_requirements": [
"<string>"
]
},
"created": 123,
"input_modalities": [
"text"
],
"output_modalities": [
"text"
],
"pricing": {
"prompt": "<string>",
"completion": "<string>",
"image": "<string>",
"request": "<string>",
"input_cache_read": "<string>"
},
"supported_sampling_parameters": [
"<string>"
],
"sampling_limits": {},
"sampling_limits_revision": "",
"supported_features": [
"<string>"
],
"is_ready": true,
"quantization": "<string>",
"context_length": 123,
"max_output_length": 123,
"root": "<string>",
"parent": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}Models
Read model
Read one model from the active catalog. Requires models:read.
GET
/
v1
/
models
/
{model}
Read model
curl --request GET \
--url https://trylimitless.ai/v1/models/{model} \
--header 'Authorization: Bearer <token>'import requests
url = "https://trylimitless.ai/v1/models/{model}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://trylimitless.ai/v1/models/{model}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"object": "model",
"owned_by": "<string>",
"name": "<string>",
"display_name": "<string>",
"access": {
"required_checks": [
"<string>"
],
"available": true,
"locked": true,
"missing_requirements": [
"<string>"
]
},
"created": 123,
"input_modalities": [
"text"
],
"output_modalities": [
"text"
],
"pricing": {
"prompt": "<string>",
"completion": "<string>",
"image": "<string>",
"request": "<string>",
"input_cache_read": "<string>"
},
"supported_sampling_parameters": [
"<string>"
],
"sampling_limits": {},
"sampling_limits_revision": "",
"supported_features": [
"<string>"
],
"is_ready": true,
"quantization": "<string>",
"context_length": 123,
"max_output_length": 123,
"root": "<string>",
"parent": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"type": "<string>",
"param": "<string>",
"request_id": "<string>",
"doc_url": "<string>"
}
}Authorizations
customerKeycustomerHeaderKey
Project customer key. Requires the permission for the requested endpoint.
Path Parameters
Exact model ID returned by the catalog.
Response
Available model metadata.
Allowed value:
"model"Backend-reported model owner.
Show child attributes
Show child attributes
Available options:
text, image, file, audio, video Available options:
text, image, file, audio, video Show child attributes
Show child attributes
Show child attributes
Show child attributes